﻿/// @file maddressbox.h
///
/// address setting dialog for machine data
///
#ifndef _MADDRESSBOX_H_
#define _MADDRESSBOX_H_

#include "common.h"
#include "wx/wx.h"
#include "wx/dialog.h"

class MAddressBox : public wxDialog
{
private:
	long  start_addr;
	long  exec_addr;
	long  data_size;
	bool  include_header;
	bool  valid;
	bool  enable_cancel;

	wxStaticText *lblTitle;
	wxTextCtrl *txtStartAddr;
	wxTextCtrl *txtExecAddr;
	wxTextCtrl *txtDataSize;
	wxCheckBox *chkIncHeader;
	wxStaticText *lblNoHeader;

	bool chk_addr(wxString &str);
	bool chk_str(wxString &str);

	void init_dialog();
	void term_dialog();

public:
	MAddressBox();
	MAddressBox(wxWindow* parent, wxWindowID id = 0);

	enum {
		IDC_STA_TITLE = 1,
		IDC_START_ADDR,
		IDC_EXEC_ADDR,
		IDC_DATA_SIZE,
		IDC_INC_HEADER,
		IDC_NO_HEADER,
	};

	// functions
	int showMAddressBox(bool);

	void OnClickOk(wxCommandEvent& event);

	// properties
	bool	getValid() { return valid; }
	UINT	getStartAddr() { return start_addr; }
	UINT	getDataSize() { return data_size; }
	UINT	getExecAddr() { return exec_addr; }
	bool	getIncHeader() { return include_header; }
	void	setValid(bool val);
	void	setStartAddr(UINT val) { start_addr = val; }
	void	setDataSize(UINT val) { data_size = val; }
	void	setExecAddr(UINT val) { exec_addr = val; }
	void	setIncHeader(bool val) { include_header = val; }

	DECLARE_EVENT_TABLE()
};

#endif /* _MADDRESSBOX_H_ */
