﻿/// @file progressbox.h
///
/// progressbox.h
///
#ifndef _PROGRESSBOX_H_
#define _PROGRESSBOX_H_

#include "common.h"
#include "wx/wx.h"
#include "wx/progdlg.h"
#include "wx/datetime.h"

class ProgressBox
{
private:
	wxProgressDialog *dlg;
	wxWindow *parent_window;

	bool cancel_button;
	long max_value;

	wxDateTime current_time;
public:
	ProgressBox();
	ProgressBox(wxWindow *parent, wxWindowID id = 0);
	~ProgressBox();

	void OnClose(wxCloseEvent &event);

	void initProgress(int type, int min_val, int max_val);
	bool setProgress(int val);
	bool incProgress();
	bool viewProgress();
	void endProgress();
};

#endif /* _PROGRESSBOX_H_ */
